import Layout from '@/layout';

const monitorRoutes = {
  path: '/monitor',
  component: Layout,
  redirect: '/monitor/dangerous_chemicals',
  name: 'Mointor',
  meta: {
    title: 'monitor',
    icon: 'devicelist',
    permissions: ['view menu monitor'],
  },
  children: [
    {
      path: 'dangerous_chemicals',
      name: 'DangerousChemicals',
      component: () => import('@/views/monitor/chemicals'),
      meta: { title: 'dangerousChemicals', icon: 'form' },
    },
    {
      path: 'fire',
      component: () => import('@/views/monitor/fire'),
      name: 'Fire',
      meta: { title: 'fireControl', icon: 'chart', noCache: true },
    },
  ],
};

export default monitorRoutes;
